#<profile4xi profile = "11" />  
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire2two32004xi.py">
#<abstract4xi abstract = "fires to direction two and to distance 3200"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire2two32004xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
# -------------------------------------------------------------------------------------------------
# SHOT2TWO - COORDINATE SIGNS OF SHOOT2TWO4XI: (X + ,Y - ,Z - )
# -------------------------------------------------------------------------------------------------    
global shot2two32004xi

#"
#/>

#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = True

# -------------------------------------------------------------------------------------------------
# 3200 
# -------------------------------------------------------------------------------------------------
shot2two32004xi = {
                1:   '1004x-694y-2957z',
                2:   '1008x-360y-3015z',
                3:   '1013x-625y-2970z',
                4:   '1016x-424y-3004z',
                5:   '1018x-1549y-2608z',
                6:   '1019x-489y-2993z',
                7:   '1019x-557y-2981z',
                8:   '1082x-1472y-2626z',
                9:   '1091x-2993y-290z',
                10:  '113x-3196y-99z',
                11:  '1141x-1393y-2644z',
                12:  '1195x-1312y-2662z',
                13:  '122x-2101y-2410z',
                14:  '1243x-1229y-2680z',
                15:  '1245x-2929y-322z',
                16:  '127x-1356y-2895z',
                17:  '1285x-1144y-2697z',
                18:  '128x-1698y-2708z',
                19:  '12x-2129y-2388z',
                20:  '1322x-1058y-2714z',
                21:  '1354x-972y-2731z',
                22:  '1355x-63y-2897z',
                23:  '1379x-136y-2884z',
                24:  '1380x-885y-2747z',
                25:  '1395x-2857y-354z',
                26:  '1398x-213y-2870z',
                27:  '1400x-798y-2764z',
                28:  '1413x-291y-2855z',
                29:  '1415x-711y-2780z',
                30:  '1424x-372y-2841z',
                31:  '1425x-624y-2795z',
                32:  '1429x-455y-2826z',
                33:  '1430x-539y-2811z',
                34:  '1541x-2777y-386z',
                35:  '1648x-2742y-30z',
                36:  '1682x-2689y-418z',
                37:  '1789x-2652y-62z',
                38:  '1818x-2594y-449z',
                39:  '1924x-2554y-93z',
                40:  '1948x-2491y-481z',
                41:  '194x-1319y-2909z',
                42:  '2055x-2449y-125z',
                43:  '2073x-2382y-513z',
                44:  '214x-1662y-2725z',
                45:  '2179x-2337y-157z',
                46:  '2191x-2267y-544z',
                47:  '2297x-2218y-189z',
                48:  '229x-2068y-2430z',
                49:  '2303x-2145y-576z',
                50:  '2407x-2018y-607z',
                51:  '2409x-2094y-221z',
                52:  '2505x-1885y-639z',
                53:  '2513x-1963y-253z',
                54:  '257x-1278y-2922z',
                55:  '2594x-1748y-670z',
                56:  '2610x-1828y-285z',
                57:  '2677x-1606y-701z',
                58:  '2700x-1687y-317z',
                59:  '2751x-1460y-732z',
                60:  '2782x-1542y-349z',
                61:  '280x-3184y-131z',
                62:  '2817x-1311y-763z',
                63:  '2855x-1392y-381z',
                64:  '2874x-1159y-794z',
                65:  '2920x-1239y-412z',
                66:  '2923x-1004y-825z',
                67:  '295x-1622y-2742z',
                68:  '2964x-848y-856z',
                69:  '2977x-1083y-444z',
                70:  '2996x-690y-887z',
                71:  '3019x-530y-918z',
                72:  '3026x-925y-476z',
                73:  '3033x-370y-948z',
                74:  '3036x-51y-1009z',
                75:  '3039x-210y-979z',
                76:  '3065x-764y-507z',
                77:  '3090x-828y-8z',
                78:  '3096x-601y-539z',
                79:  '3118x-438y-570z',
                80:  '3129x-665y-40z',
                81:  '3130x-273y-602z',
                82:  '3134x-109y-633z',
                83:  '3159x-500y-72z',
                84:  '316x-1234y-2935z',
                85:  '3180x-334y-104z',
                86:  '3192x-167y-136z',
                87:  '333x-2029y-2451z',
                88:  '374x-1577y-2758z',
                89:  '383x-1225y-3039z',
                90:  '40x-1730y-2691z',
                91:  '433x-1985y-2472z',
                92:  '446x-3164y-163z',
                93:  '448x-1529y-2774z',
                94:  '518x-1477y-2790z',
                95:  '530x-1935y-2492z',
                96:  '57x-1389y-2881z',
                97:  '584x-1422y-2806z',
                98:  '611x-3135y-195z',
                99:  '623x-1881y-2512z',
                100: '646x-1364y-2821z',
                101: '703x-1304y-2836z',
                102: '711x-1822y-2531z',
                103: '755x-1241y-2850z',
                104: '773x-3096y-227z',
                105: '795x-1759y-2551z',
                106: '803x-1176y-2865z',
                107: '846x-1109y-2879z',
                108: '875x-1693y-2570z',
                109: '884x-1042y-2893z',
                110: '888x-25y-3074z',
                111: '916x-74y-3065z',
                112: '918x-973y-2906z',
                113: '934x-3049y-259z',
                114: '941x-126y-3055z',
                115: '946x-903y-2920z',
                116: '949x-1622y-2589z',
                117: '963x-181y-3046z',
                118: '970x-833y-2932z',
                119: '982x-238y-3036z',
                120: '989x-763y-2945z',
                121: '997x-298y-3025z'}     
        
#"
#"/>

# -------------------------------------------------------------------------------------------------
#<function4xi function = "fire3200two4xi" usage = "target function for chargeone4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def fire3200two4xi(queue2two, consumer_channel2two, publisher_channel2two):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE3200TWO4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE3200TWO4XI -  QUEUE2TWO: ", queue2two)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE3200TWO4XI -  CONSUMER_CHANNEL2TWO: ", consumer_channel2two)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE3200TWO4XI -  PUBLISHER_CHANNEL2TWO: ", publisher_channel2two)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE3200TWO4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2two.put(shot2two32004xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE3200TWO4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE3200TWO4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE3200TWO4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2two8shot2two32004xi</ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2two8shot2two32004xi</nack2put4xi>" 
            
        publisher_channel2two.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE3200TWO4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi()) 
            #  
        
    except:
        print(" (STEP 3C/33) OF FIRE3200TWO4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE3200TWO4XI - RETURNING QUEUE OBJECT QUEUE2TWO: ", queue2two, " - TIME: ", time4xi())  
        # 
            
    return queue2two    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   fire3200two4xi.txt
#   test_verbkb4xi.txt
#   test_zap2actor4xi.txt
#   scope-sense-test-verb4xi.xml
#   scope-reason-test-verb4xi.xml
#   scope-ace-test-verb4xi.xml
#   
#"
#>

# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire2two32004xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
        
        
       
       